package write

import (
	"errors"

	"git.tek.govt.hu/dowerx/place/api/structs"
	"git.tek.govt.hu/dowerx/place/storage"
	"github.com/gin-gonic/gin"
)

func Pixel(c *gin.Context) {
	// TODO: apply timeout using cookies

	var info struct {
		structs.Color
		structs.Coordinates
	}
	if c.ShouldBind(&info) != nil {
		c.AbortWithStatus(400)
		return
	}

	if err := storage.SetPixel(info.X, info.Y, &info); err != nil {
		c.AbortWithError(500, err)
		return
	}

	c.Status(200)
}

func Bitmap(c *gin.Context) {
	panic(errors.New("unimplomented"))
}
